Problem statement

Current Zend Framework OpenID implementation does not support the protocol version 2.0 fully. For example the Yadis discovery is not supported at all. Thus the Zend Framework OpenID module can not be used with OpenID providers using this version of the protocol.

Proposed solution

To add full OpenID v 2.0 protocol support into Zend_OpenId I plan to wrap the fully functional library php-openid (JanRain's implementation) into a Zend Framework Zend_Auth adapter.

This should be mainly an OOP adapter or similar design pattern exercise.

Expected issues

There are different classes in both libraries serving the same purpose but with different interface. I expect issues getting everything to work with such class differences.

Code

Repository for the code is located here https://github.com/draculus/zf-php-openid.

Looking for mad skills in:

php zendframework php-openid openid

This project is part of:

Hack Week 10

Activity

  • almost 6 years ago: pkacer added keyword "openid" to Wrap php-openid into Zend_OpenId library
  • almost 6 years ago: pkacer added keyword "php-openid" to Wrap php-openid into Zend_OpenId library
  • almost 6 years ago: pkacer added keyword "zendframework" to Wrap php-openid into Zend_OpenId library
  • almost 6 years ago: pkacer added keyword "php" to Wrap php-openid into Zend_OpenId library
  • almost 6 years ago: pkacer started Wrap php-openid into Zend_OpenId library
  • Show History

    Comments

    • pkacer
      almost 6 years ago by pkacer | Reply

      I have finished basic functionality. Now the authentication against our OpenID provider works. Proper exception handling, code flow check, some warnings and code cleanup will follow.

    • pkacer
      almost 6 years ago by pkacer | Reply

      The project is completed. The changes were applied to our application. The code can be found at the link in the description.

    Similar Projects